.bg-primary {
  background: linear-gradient(
    180deg,
    #000000 0%,
    #171622 50%,
    #5b5b64 100%
    );
  box-shadow: 
    inset 0 1px 2px rgba(255,255,255,0.1), /* brillo interno */
    0 2px 6px rgba(0,0,0,0.6); /* profundidad */
  border-bottom: 1px solid rgba(255,255,255,0.08);
}

.bg-dark {
   background: linear-gradient(
    180deg,
    #302e2e 0%,
    #504e62 50%,
    #050506 100%
    );
  box-shadow: 
    inset 0 1px 2px rgba(255,255,255,0.1), /* brillo interno */
    0 2px 6px rgba(0,0,0,0.6); /* profundidad */
  border-bottom: 1px solid rgba(255,255,255,0.08);
}
body{
 background: linear-gradient(180deg,#1a1a1a ,#2b2b2b );
}
.bg-light {
   background: linear-gradient(
    180deg,
    #6a6a6b 0%,
    #271f1f 50%,
    #0a0a0a 100%
    );
  box-shadow: 
    inset 0 1px 2px rgba(255,255,255,0.1), /* brillo interno */
    0 2px 6px rgba(0,0,0,0.6); /* profundidad */
  border-bottom: 1px solid rgba(255,255,255,0.08);
}
body{
 background: linear-gradient(180deg,#1a1a1a ,#2b2b2b );
}

/* 🔥 RESET FORZADO DEL CONTENEDOR */
/* CONTENEDOR SCROLL (SIN FLEX) */
.scroll-ofertas {
    overflow-x: auto;
    white-space: nowrap;
    padding: 20px;
}

/* TARJETAS EN LÍNEA */
.item-scroll {
    display: inline-block;
    width: 280px;
    margin-right: 20px;
    vertical-align: top;
}

/* TARJETA NORMAL */
.item-scroll .card {
    width: 100%;
}

/* 🔥 IMAGEN CONTROLADA */
.card-img-top {
    width: 100% !important;
    height: 200px !important;
    object-fit: contain !important;
}

.main-content {
    width: 100%;
    overflow-x: hidden; /* evita bugs de layout */
}
